/*******************************************************************************
 * FoxSocialCategoryProfile generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSocialCategoryProfile extends FoxSocialUICategoryBase within FoxSocialUI
    native(UI)
    config(UI);

enum EGameStatType
{
    ESTAT_Int,
    ESTAT_Float,
    ESTAT_Percent,
    ESTAT_CP,
    ESTAT_String,
    ESTAT_MAX
};

enum EStatUnit
{
    ESU_None,
    ESU_Percent,
    ESU_Distance,
    ESU_Timespan,
    ESU_MAX
};

struct native StatDefinition
{
    var string StatName;
    var FoxSocialCategoryProfile.EStatUnit Units;
    var FoxSocialCategoryProfile.EGameStatType StatType;
    var int Precision;
    var int SortIndex;
    var float Divisor;
    var float DefaultValue;
    var bool bHidden;
    var bool bHiddenWhenUnsorted;

    structdefaultproperties
    {
        StatName=""
        Units=EStatUnit.ESU_None
        StatType=EGameStatType.ESTAT_Int
        Precision=0
        SortIndex=0
        Divisor=0.0
        DefaultValue=0.0
        bHidden=false
        bHiddenWhenUnsorted=false
    }
};

struct native StatNode
{
    var string sEntryLabel;
    var string sStatLabel;
    var NamedStatColumn BaseStat;
    var int SortIndex;

    structdefaultproperties
    {
        sEntryLabel=""
        sStatLabel=""
        BaseStat=(Name="",Value=(Type=ESettingsDataType.SDT_Empty,Value1=0))
        SortIndex=0
    }
};

struct native StatHeader
{
    var int SortIndex;
    var string LocTag;

    structdefaultproperties
    {
        SortIndex=0
        LocTag=""
    }
};

struct native StatsCategory
{
    var string Badass;
    var string NodeName;
    var string StatTag;
    var string SpecStats;
    var transient array<StatNode> Stats;
    var int SortIndex;
    var bool bIsShort;
    var bool bAutoExpand;
    var bool bIsHidden;
    var bool bIsHeader;
    var bool bStripTagFromStats;
    var bool bStripPriorToTag;

    structdefaultproperties
    {
        Badass=""
        NodeName=""
        StatTag=""
        SpecStats=""
        Stats=none
        SortIndex=0
        bIsShort=false
        bAutoExpand=false
        bIsHidden=false
        bIsHeader=false
        bStripTagFromStats=false
        bStripPriorToTag=false
    }
};

struct native StatsGroup
{
    var string GroupName;
    var int CatIdxStart;
    var int CatIdxStop;
    var bool bHeaderCompletion;
    var bool bAddHeader;
    var bool bWeaponGroup;
    var bool bGeneralGroup;
    var int SortIndex;
    var transient array<StatsCategory> Categories;

    structdefaultproperties
    {
        GroupName=""
        CatIdxStart=0
        CatIdxStop=0
        bHeaderCompletion=false
        bAddHeader=false
        bWeaponGroup=false
        bGeneralGroup=false
        SortIndex=0
        Categories=none
    }
};

struct native BadassRank
{
    var float val;
    var string Loc;

    structdefaultproperties
    {
        val=0.0
        Loc=""
    }
};

struct native WeaponTag
{
    var string Tag;
    var string Loc;
    var int SortIndex;
    var string HiddenStats;

    structdefaultproperties
    {
        Tag=""
        Loc=""
        SortIndex=0
        HiddenStats=""
    }
};

var private FoxUIUnlockProgressionWidget UnlockListWidget;
var private transient byte CurrentRankIndex;
var transient GFxObject StatContainer;
var const config array<config StatDefinition> StatDefinitions;
var config array<config StatsCategory> GeneralStatCategories;
var transient array<StatsCategory> WeaponStatCategories;
var transient array<StatsCategory> GameTypeStatCategories;
var const config array<config WeaponTag> WeaponTags;
var const config array<config WeaponTag> GameTypeTags;
var const config array<config BadassRank> ExperienceRanks;
var const config array<config BadassRank> SkillRanks;
var const config array<config BadassRank> GeneralRanks;
var const config array<config BadassRank> GeneralSkillRanks;
var config array<config StatsGroup> StatGroups;
var const config string ExperienceRankStatName;
var const config string SkillRankStatName;
var bool bInCareerTab;
var transient array<NamedStatColumn> AllCachedStats;
var transient array<StatsGroup> GeneratedStatGroups;
var transient array<StatsCategory> GeneratedStatCategories;
var transient int CurrentStatParsingIndex;
var transient string StatStartDate;
var const config int MaxStatsToParsePerFrame;
var transient int CurrentStatSetupIndex;

function Initialize()
{
    local FoxPRI PRI;
    local int I;
    local bool bShowNameChange;
    local StatsCategory NewCat;

    super.Initialize();
    PRI = FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo);
    GeneralStatCategories = default.GeneralStatCategories;
    StatGroups = default.StatGroups;
    GameTypeStatCategories = default.GameTypeStatCategories;
    I = 0;
    J0xBE:
    // End:0x2D6 [Loop If]
    if(I < GameTypeTags.Length)
    {
        // End:0x1A9
        if(!Outer.Outer.Outer.TryLocalizeString(GameTypeTags[I].Loc, NewCat.NodeName))
        {
            NewCat.NodeName = GameTypeTags[I].Tag;
        }
        NewCat.SortIndex = GameTypeTags[I].SortIndex;
        NewCat.StatTag = GameTypeTags[I].Tag;
        NewCat.bIsShort = ((class'WorldInfo'.static.IsConsoleBuild()) ? false : true);
        NewCat.bStripTagFromStats = true;
        NewCat.bStripPriorToTag = true;
        GameTypeStatCategories.AddItem(NewCat);
        ++ I;
        // [Loop Continue]
        goto J0xBE;
    }
    WeaponStatCategories = default.WeaponStatCategories;
    I = 0;
    J0x2F4:
    // End:0x50C [Loop If]
    if(I < WeaponTags.Length)
    {
        // End:0x3DF
        if(!Outer.Outer.Outer.TryLocalizeString(WeaponTags[I].Loc, NewCat.NodeName))
        {
            NewCat.NodeName = WeaponTags[I].Tag;
        }
        NewCat.SortIndex = WeaponTags[I].SortIndex;
        NewCat.StatTag = WeaponTags[I].Tag;
        NewCat.bIsShort = ((class'WorldInfo'.static.IsConsoleBuild()) ? false : true);
        NewCat.bStripTagFromStats = true;
        NewCat.bStripPriorToTag = true;
        WeaponStatCategories.AddItem(NewCat);
        ++ I;
        // [Loop Continue]
        goto J0x2F4;
    }
    // End:0x543
    if(PRI != none)
    {
        CurrentRankIndex = PRI.CurrentRankIndex;
    }
    Outer.as_AddSocialButtonContainer("profileTabs", 0, 65, 8, 800, 175, false);
    // End:0x5AD
    if(class'WorldInfo'.static.IsConsoleBuild(8))
    {
    }
    // End:0x8EC
    else
    {
        // End:0x77A
        if(Outer.Outer.Outer.PCOwner.HasNameChangeAvailable())
        {
            bShowNameChange = true;
            as_AddGenericTextBox(0, 100, Outer.Outer.LocalizeMenuString("nameChangeText_activate", "SOCIAL"));
            as_AddInventoryButtonContainer("ClanButtons", 60, 210, 15, 800, 175, false);
            as_AddGenericButton(Outer.Outer.LocalizeMenuString("activateitemlabel", "INVENTORY"), Outer.Outer.LocalizeMenuString("activatetooltip", "INVENTORY"), "ei_StartNameChange", "", "");
        }
        // End:0x8EC
        else
        {
            // End:0x8EC
            if(CanPurchaseNameChange())
            {
                bShowNameChange = true;
                as_AddGenericTextBox(0, 100, Outer.Outer.LocalizeMenuString("noNameChangeText", "SOCIAL"));
                as_AddInventoryButtonContainer("ClanButtons", 60, 210, 15, 800, 175, false);
                as_AddGenericButton(Outer.Outer.LocalizeMenuString("PurchaseItemLabel", "INVENTORY"), Outer.Outer.LocalizeMenuString("purchasetooltip", "INVENTORY"), "ei_PurchaseNameChange", "", "");
            }
        }
    }
    Outer.Outer.Outer.Advance(0.0);
    // End:0x9A1
    if(bShowNameChange)
    {
        Outer.Outer.Outer.ui_RunCommandGroup("SocialCareer");
    }
    // End:0xA05
    else
    {
        Outer.Outer.Outer.ui_RunCommandGroup("SocialCareer_NoNameChange");
    }
    // End:0xA91
    if(Outer.ProfileTutorial != "")
    {
        Outer.Outer.Outer.ui_RunCommandGroup(Outer.ProfileTutorial);
    }
    //return;    
}

function bool CanPurchaseNameChange()
{
    local FoxItemCacheStore StoreCache;
    local StoreMetaData StoreItem;

    // End:0xF4
    if(Outer.Outer.Outer.StoreDataStore.GetCachedStore(StoreCache) && StoreCache.GetCachedItemByUnlockID(StoreItem, 71))
    {
        return StoreCache.IsStoreItemVisible(StoreItem) && StoreCache.IsStoreItemLive(StoreItem);
    }
    // End:0xF6
    else
    {
        return false;
    }
    //return ReturnValue;    
}

function ei_PurchaseNameChange()
{
    Outer.Outer.Outer.PurchaseItemByUnlockID(71, 5);
    //return;    
}

function ei_StartNameChange()
{
    Outer.Outer.Outer.PCOwner.StartNameChange();
    //return;    
}

function NotifyClosing()
{
    super.NotifyClosing();
    bInCareerTab = false;
    // End:0x4F
    if(UnlockListWidget != none)
    {
        UnlockListWidget.Cleanup();
        UnlockListWidget = none;
    }
    Outer.Outer.Outer.PCOwner.OnlineSub.StatsInterface.ClearReadOnlineStatsCompleteDelegate(ShowMyOnlineStats);
    //return;    
}

function SetupUnlockListTab()
{
    local string ObjectPath;

    Outer.as_AddSocialButtonContainer("unlockPage", 0, 65, -18, 800, 175, false);
    ObjectPath = as_addUnlockList(0, 71);
    UnlockListWidget = FoxUIUnlockProgressionWidget(Outer.Outer.Outer.GetVariableObject(ObjectPath, class'FoxUIUnlockProgressionWidget'));
    // End:0x141
    if(UnlockListWidget != none)
    {
        UnlockListWidget.Initialize(Outer.Outer.Outer.PCOwner);
    }
    //return;    
}

function ui_SetupSocialPlayerProfileInfo(int XPos, int YPos)
{
    bInCareerTab = true;
    RefreshStats();
    //return;    
}

function RefreshStats()
{
    local FoxDataStore_OnlineStats StatsDataStore;
    local array<string> EmptyArray;

    StatsDataStore = FoxDataStore_OnlineStats(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxLeaderboard'));
    // End:0x97
    if(StatsDataStore.AreStatsValid())
    {
        EmptyArray.Length = 0;
        ShowMyOnlineStats(true, EmptyArray);
    }
    // End:0x279
    else
    {
        // End:0x279
        if(StatsDataStore != none)
        {
            Outer.Outer.Outer.PCOwner.OnlineSub.StatsInterface.ClearReadOnlineStatsCompleteDelegate(ShowMyOnlineStats);
            Outer.Outer.Outer.PCOwner.OnlineSub.StatsInterface.AddReadOnlineStatsCompleteDelegate(ShowMyOnlineStats);
            StatsDataStore.RefreshStats(byte(LocalPlayer(Outer.Outer.Outer.PCOwner.Player).ControllerId));
        }
        // End:0x279
        else
        {
        }
    }
    //return;    
}

event StartStatResetPurchase()
{
    ei_ResetStatsButtonClicked();
    //return;    
}

function ei_ResetStatsButtonClicked()
{
    Outer.Outer.Outer.PurchaseItemByUnlockID(77, 5, StatResetPurchaseComplete);
    //return;    
}

function StatResetPurchaseComplete(bool bResult, bool bEquip)
{
    local FoxDataStore_OnlineStats StatsDataStore;

    // End:0x88
    if(bResult)
    {
        StatsDataStore = FoxDataStore_OnlineStats(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxLeaderboard'));
        StatsDataStore.InvalidateStats();
        RefreshStats();
    }
    //return;    
}

function ei_MyPlayerGenderProfileButtonClicked()
{
    Outer.Outer.Outer.PurchaseItemByUnlockID(72, 5);
    //return;    
}

// Export UFoxSocialCategoryProfile::execGetSecondOfDay(FFrame&, void* const)
native function int GetSecondOfDay();

function ShowMyOnlineStats(bool bReadSuccessful, array<string> ChangedStatNames)
{
    local FoxDataStore_OnlineStats StatsDataStore;
    local FoxOnlineStats_PlayerStats MyOnlineStats;
    local UniqueNetId MyNetID;

    // End:0x238
    if(bReadSuccessful)
    {
        StatsDataStore = FoxDataStore_OnlineStats(class'UIInteraction'.static.GetDataStoreClient().FindDataStore('FoxLeaderboard'));
        MyOnlineStats = FoxOnlineStats_PlayerStats(StatsDataStore.StatsRead);
        MyNetID = LocalPlayer(Outer.Outer.Outer.PCOwner.Player).GetUniqueNetId();
        // End:0x238
        if(MyOnlineStats.GetAllNamedStats(MyNetID, AllCachedStats))
        {
            StatContainer = Outer.Outer.Outer.GetVariableObject(as_addSocialRefactoredStats(0, 60));
            Outer.Outer.Outer.Advance(0.0);
            GeneratedStatGroups.Length = 0;
            GeneratedStatCategories.Length = 0;
            CurrentStatParsingIndex = 0;
            GenerateStatNodesBegin(GeneratedStatGroups, GeneratedStatCategories);
        }
    }
    //return;    
}

event FinishShowingOnlineStats()
{
    StatContainer.SetString("activatedLabel", Outer.Outer.LocalizeMenuString("StatsActivated", "Social"));
    StatContainer.SetString("dateLabel", StatStartDate);
    StatContainer.SetString("updateLabel", Outer.Outer.LocalizeMenuString("StatsUpdate", "Social"));
    CurrentStatSetupIndex = 0;
    //return;    
}

function int CountValidStats(const out array<StatsCategory> InCategories)
{
    local int I, Total;

    I = 0;
    J0x0B:
    // End:0x97 [Loop If]
    if(I < InCategories.Length)
    {
        // End:0x89
        if((InCategories[I].Stats.Length > 0) && !InCategories[I].bIsHidden)
        {
            ++ Total;
        }
        ++ I;
        // [Loop Continue]
        goto J0x0B;
    }
    return Total;
    //return ReturnValue;    
}

event SetupStatGroup(int Index)
{
    local FoxPRI PRI;
    local int StatResetItem;
    local StatsGroup StatGroupCopyForCompilerWorkaround;

    StatGroupCopyForCompilerWorkaround = GeneratedStatGroups[Index];
    SetupStats(StatGroupCopyForCompilerWorkaround.Categories, StatGroupCopyForCompilerWorkaround);
    // End:0x186
    if(Index == (GeneratedStatGroups.Length - 1))
    {
        CurrentStatSetupIndex = -1;
        PRI = FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo);
        StatResetItem = 77;
        // End:0x17C
        if(class'FoxUnlockInfo'.static.GetItemUnlockedStateFromID(StatResetItem, PRI,,, true) != 6)
        {
            as_AddInventoryButtonContainer("resetStatsPrompt", 0, 530, 15, 800, 175, false);
            AddSocialButtonPrompt("ResetStatsPrompt");
        }
        as_newFocusSocialSection();
    }
    //return;    
}

function SetupStats(array<StatsCategory> InCategories, const out StatsGroup ParentGroup)
{
    local int I;
    local string HeaderName;

    I = 0;
    J0x0B:
    // End:0x262 [Loop If]
    if(I < InCategories.Length)
    {
        // End:0x254
        if((InCategories[I].Stats.Length > 0) && !InCategories[I].bIsHidden)
        {
            HeaderName = LocalizeStatName(InCategories[I].NodeName);
            // End:0x177
            if(ParentGroup.bHeaderCompletion && InCategories[I].bIsHeader)
            {
                HeaderName = ((((HeaderName @ "[") $ string((CountValidStats(ParentGroup.Categories)) - 1)) $ "/") $ string(ParentGroup.Categories.Length - 1)) $ "]";
            }
            as_addParentStatEntry(HeaderName, InCategories[I].Stats, InCategories[I].bIsShort, InCategories[I].bAutoExpand, InCategories[I].Badass, InCategories[I].bIsHeader, StatContainer);
        }
        ++ I;
        // [Loop Continue]
        goto J0x0B;
    }
    //return;    
}

function as_setupStatResetButton(string BtnLabel, string btnTooltip, string clickFunction, string ClickArg, GFxObject ForObject)
{
    ForObject.ActionScriptVoid("setupResetButton");
    //return;    
}

// Export UFoxSocialCategoryProfile::execPrintStatValue(FFrame&, void* const)
native function string PrintStatValue(const out NamedStatColumn InData, const out StatDefinition StatDef);

// Export UFoxSocialCategoryProfile::execGenerateStatNodesBegin(FFrame&, void* const)
native function GenerateStatNodesBegin(out array<StatsGroup> OutGroups, out array<StatsCategory> OutAllCategories);

// Export UFoxSocialCategoryProfile::execGenerateStatNodesIncremental(FFrame&, void* const)
native function GenerateStatNodesIncremental(const out array<NamedStatColumn> InStats, const out array<StatDefinition> InDefinitions, const int StartIndex, const int EndIndex, out string StartDate, out array<StatsGroup> OutGroups, out array<StatsCategory> InOutCategories);

// Export UFoxSocialCategoryProfile::execGenerateStatNodesEnd(FFrame&, void* const)
native function GenerateStatNodesEnd(out array<StatsGroup> OutGroups, out array<StatsCategory> InOutCategories);

// Export UFoxSocialCategoryProfile::execGetBadassName(FFrame&, void* const)
native function string GetBadassName(const float InValue, const out array<BadassRank> Ranks, out int OutRank);

// Export UFoxSocialCategoryProfile::execFindWeaponNameTags(FFrame&, void* const)
native function array<string> FindWeaponNameTags();

function string LocalizeStatName(string Key)
{
    return Outer.Outer.LocalizeMenuString(Key, "PlayerStats");
    //return ReturnValue;    
}

protected function ApplySocialSubCategory(string CategoryName)
{
    ei_selectProfileTab(CategoryName);
    //return;    
}

function ei_selectProfileTab(string Title)
{
    bInCareerTab = false;
    // End:0x48
    if(UnlockListWidget != none)
    {
        UnlockListWidget.Cleanup();
        UnlockListWidget = none;
    }
    // End:0xD9
    else
    {
        // End:0x6C
        if(Title ~= "Unlocks")
        {
            SetupUnlockListTab();
        }
        // End:0xD9
        else
        {
            // End:0xD9
            if(Title ~= "Career")
            {
                Outer.Outer.Outer.ui_RunCommandGroup("SocialCareer");
            }
        }
    }
    //return;    
}

function as_updateMyPlayerWidgetTitle(string PlayerTitle)
{
    Outer.Outer.Outer.ActionScriptVoid("_root.updateMyPlayerWidgeTitle");
    //return;    
}

function string as_addSocialRefactoredStats(int XPos, int YPos)
{
    return Outer.Outer.Outer.ActionScriptString("_root.addSocialProfileRefactoredStats");
    //return ReturnValue;    
}

function as_addParentStatEntry(string EntryLabel, array<StatNode> Stats, bool bIsShort, bool bIsOpen, string Badass, bool bIsHeader, GFxObject ForObject)
{
    ForObject.ActionScriptVoid("addParentStatEntry");
    //return;    
}

function as_addParentStatHeader(string HeaderLabel, GFxObject ForObject)
{
    ForObject.ActionScriptVoid("addHeader");
    //return;    
}

function string as_addUnlockList(int PosX, int PosY)
{
    return Outer.Outer.Outer.ActionScriptString("_root.addUnlocksList");
    //return ReturnValue;    
}

defaultproperties
{
    StatDefinitions(0)=(StatName="slot",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=true,bHiddenWhenUnsorted=false)
    StatDefinitions(1)=(StatName="_deathbylove",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(2)=(StatName="potsofgold",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(3)=(StatName="stats_start",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_String,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(4)=(StatName="stats_write",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_String,Precision=0,SortIndex=1,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(5)=(StatName="wins_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=2,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(6)=(StatName="damagedealt_tot_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=3,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(7)=(StatName="kills_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=4,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(8)=(StatName="deaths_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=5,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(9)=(StatName="assists_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=6,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(10)=(StatName="kdr_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=2,SortIndex=7,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(11)=(StatName="acc_global",Units=EStatUnit.ESU_Percent,StatType=EGameStatType.ESTAT_Percent,Precision=2,SortIndex=8,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(12)=(StatName="headshots_tot_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=9,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(13)=(StatName="roundsfired_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=10,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(14)=(StatName="roundshit_global",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=11,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(15)=(StatName="rpk",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=2,SortIndex=12,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(16)=(StatName="match_total",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=13,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(17)=(StatName="numdepotuses",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=14,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(18)=(StatName="fund_cp_spent",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=15,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(19)=(StatName="cpspent",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(20)=(StatName="earnedcp",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(21)=(StatName="depotuses",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(22)=(StatName="healthbuys",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(23)=(StatName="healthrefill",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(24)=(StatName="ammobuys",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(25)=(StatName="heavyammobuys",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(26)=(StatName="antidotebuys",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(27)=(StatName="antidoterefill",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(28)=(StatName="matches",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(29)=(StatName="wins",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=1,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(30)=(StatName="losses",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=2,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(31)=(StatName="winpct",Units=EStatUnit.ESU_Percent,StatType=EGameStatType.ESTAT_Percent,Precision=2,SortIndex=1,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(32)=(StatName="captures",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=3,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(33)=(StatName="timecapturing",Units=EStatUnit.ESU_Timespan,StatType=EGameStatType.ESTAT_Float,Precision=0,SortIndex=4,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(34)=(StatName="kl_",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=5,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(35)=(StatName="tk_",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=6,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(36)=(StatName="tagscollected",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(37)=(StatName="bombposs",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(38)=(StatName="plants",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=1,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(39)=(StatName="bomb_exp",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=2,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(40)=(StatName="def_tries",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=3,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(41)=(StatName="def_succ",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=4,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=false)
    StatDefinitions(42)=(StatName="timeused",Units=EStatUnit.ESU_Timespan,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(43)=(StatName="timeplayed",Units=EStatUnit.ESU_Timespan,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(44)=(StatName="acc_",Units=EStatUnit.ESU_Percent,StatType=EGameStatType.ESTAT_Percent,Precision=2,SortIndex=1,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(45)=(StatName="roundsfired",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=2,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(46)=(StatName="roundshit",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=3,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(47)=(StatName="headshots",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=4,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(48)=(StatName="kills",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=5,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(49)=(StatName="kills_cupid",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=5,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(50)=(StatName="assists",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=6,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(51)=(StatName="meleeattempts",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=7,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(52)=(StatName="meleehits",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=8,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(53)=(StatName="kdr",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=2,SortIndex=9,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(54)=(StatName="suicides",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=10,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(55)=(StatName="deaths",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=10,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(56)=(StatName="destroyed",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=11,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(57)=(StatName="jumps",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=12,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(58)=(StatName="_eff",Units=EStatUnit.ESU_Percent,StatType=EGameStatType.ESTAT_Percent,Precision=0,SortIndex=13,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(59)=(StatName="taunt",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=14,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(60)=(StatName="crouches",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=15,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(61)=(StatName="reloads",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=16,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(62)=(StatName="uses",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=17,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(63)=(StatName="fund_",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=18,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(64)=(StatName="revivals",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=19,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(65)=(StatName="boostgiven",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=20,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(66)=(StatName="distance_",Units=EStatUnit.ESU_Distance,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=21,Divisor=100.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(67)=(StatName="kpm",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=22,Divisor=0.016670,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(68)=(StatName="xppm",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=23,Divisor=0.016670,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(69)=(StatName="cppm",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=24,Divisor=0.016670,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(70)=(StatName="gppm",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Float,Precision=1,SortIndex=25,Divisor=0.016670,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(71)=(StatName="sprints",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=26,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(72)=(StatName="footsteps",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=27,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(73)=(StatName="streak",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=28,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(74)=(StatName="damage",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=29,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(75)=(StatName="fav_",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_String,Precision=0,SortIndex=30,Divisor=0.0,DefaultValue=0.0,bHidden=false,bHiddenWhenUnsorted=true)
    StatDefinitions(76)=(StatName="last_update",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=true,bHiddenWhenUnsorted=false)
    StatDefinitions(77)=(StatName="fund_cp",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=true,bHiddenWhenUnsorted=false)
    StatDefinitions(78)=(StatName="fund_earned_cp",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=true,bHiddenWhenUnsorted=false)
    StatDefinitions(79)=(StatName="fund_cp_eff",Units=EStatUnit.ESU_None,StatType=EGameStatType.ESTAT_Int,Precision=0,SortIndex=0,Divisor=0.0,DefaultValue=0.0,bHidden=true,bHiddenWhenUnsorted=false)
    GeneralStatCategories(0)=(Badass="",NodeName="misc",StatTag="fav_",SpecStats="distance_sprint_global,distance_norm_global,distance_tot_global,footsteps_global,_deathbylove,potsofgold",Stats=none,SortIndex=3,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=false,bStripTagFromStats=false,bStripPriorToTag=false)
    GeneralStatCategories(1)=(Badass="",NodeName="gametypegen",StatTag="_gt_gen",SpecStats="",Stats=none,SortIndex=100,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    GeneralStatCategories(2)=(Badass="",NodeName="primarygen",StatTag="_pri_gen",SpecStats="",Stats=none,SortIndex=200,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    GeneralStatCategories(3)=(Badass="",NodeName="secondarygen",StatTag="_sec_gen",SpecStats="",Stats=none,SortIndex=300,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    GeneralStatCategories(4)=(Badass="",NodeName="geargen",StatTag="_gear_gen",SpecStats="",Stats=none,SortIndex=400,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    GeneralStatCategories(5)=(Badass="",NodeName="meleegen",StatTag="_mel_gen",SpecStats="",Stats=none,SortIndex=500,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    GeneralStatCategories(6)=(Badass="",NodeName="tacgen",StatTag="_tac_gen",SpecStats="",Stats=none,SortIndex=600,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    GeneralStatCategories(7)=(Badass="",NodeName="depotgen",StatTag="_dpt_gen",SpecStats="healthbuys,healthrefill,ammobuys,heavyammobuys,antidotebuys,antidoterefill",Stats=none,SortIndex=700,bIsShort=true,bAutoExpand=false,bIsHidden=false,bIsHeader=true,bStripTagFromStats=true,bStripPriorToTag=false)
    WeaponTags(0)=(Tag="_ar_",Loc="FoxGameContent_WPN.FoxWeapon_AssaultRifle.FriendlyName",SortIndex=201,HiddenStats="")
    WeaponTags(1)=(Tag="_ar2_",Loc="FoxGameContent_DLC1.FoxWeapon_AR2.FriendlyName",SortIndex=202,HiddenStats="")
    WeaponTags(2)=(Tag="_m4_",Loc="FoxGameContent_DLC6.FoxWeapon_M4.FriendlyName",SortIndex=203,HiddenStats="")
    WeaponTags(3)=(Tag="_ak_",Loc="FoxGameContent_DLC6.FoxWeapon_AK47.FriendlyName",SortIndex=204,HiddenStats="")
    WeaponTags(4)=(Tag="_blp_",Loc="FoxGameContent_WPN.FoxWeapon_Bullpup.FriendlyName",SortIndex=205,HiddenStats="")
    WeaponTags(5)=(Tag="_blp2_",Loc="FoxGameContent_DLC3.FoxWeapon_Bullpup2.FriendlyName",SortIndex=206,HiddenStats="")
    WeaponTags(6)=(Tag="_cr_",Loc="FoxGameContent_WPN.FoxWeapon_SniperRifle.FriendlyName",SortIndex=207,HiddenStats="")
    WeaponTags(7)=(Tag="_bas_",Loc="FoxGameContent_WPN.FoxWeapon_BASniper.FriendlyName",SortIndex=208,HiddenStats="")
    WeaponTags(8)=(Tag="_amr_",Loc="FoxGameContent_DLC2.FoxWeapon_HeavySniper.FriendlyName",SortIndex=209,HiddenStats="")
    WeaponTags(9)=(Tag="_smg_",Loc="FoxGameContent_WPN.FoxWeapon_SMG.FriendlyName",SortIndex=210,HiddenStats="")
    WeaponTags(10)=(Tag="_smg2_",Loc="FoxGameContent_DLC1.FoxWeapon_SMG2.FriendlyName",SortIndex=211,HiddenStats="")
    WeaponTags(11)=(Tag="_smgi_",Loc="FoxGameContent_DLC1.FoxWeapon_SMGi.FriendlyName",SortIndex=212,HiddenStats="")
    WeaponTags(12)=(Tag="_lmg_",Loc="FoxGameContent_WPN.FoxWeapon_BKT.FriendlyName",SortIndex=213,HiddenStats="")
    WeaponTags(13)=(Tag="_lmg2_",Loc="FoxGameContent_DLC1.FoxWeapon_RBKT.FriendlyName",SortIndex=214,HiddenStats="")
    WeaponTags(14)=(Tag="_bow_",Loc="FoxGameContent_DLC6.FoxWeapon_CompoundBow.FriendlyName",SortIndex=215,HiddenStats="")
    WeaponTags(15)=(Tag="_cr2_",Loc="FoxGameContent_WPN.FoxWeapon_SniperRifle2.FriendlyName",SortIndex=216,HiddenStats="")
    WeaponTags(16)=(Tag="_ar3_",Loc="FoxGameContent_WPN.FoxWeapon_AR3.FriendlyName",SortIndex=217,HiddenStats="")
    WeaponTags(17)=(Tag="_9mm_",Loc="FoxGameContent_WPNS.FoxWeapon_9mmPistol.FriendlyName",SortIndex=301,HiddenStats="")
    WeaponTags(18)=(Tag="_p45_",Loc="FoxGameContent_WPNS.FoxWeapon_45Pistol.FriendlyName",SortIndex=302,HiddenStats="")
    WeaponTags(19)=(Tag="_rev_",Loc="FoxGameContent_WPNS.FoxWeapon_Revolver.FriendlyName",SortIndex=303,HiddenStats="")
    WeaponTags(20)=(Tag="_snub_",Loc="FoxGameContent_DLC5.FoxWeapon_SnubNose.FriendlyName",SortIndex=304,HiddenStats="")
    WeaponTags(21)=(Tag="_ap_",Loc="FoxGameContent_WPNS.FoxWeapon_AutoPistol.FriendlyName",SortIndex=305,HiddenStats="")
    WeaponTags(22)=(Tag="_mp_",Loc="FoxGameContent_WPNS.FoxWeapon_MachinePistol.FriendlyName",SortIndex=306,HiddenStats="")
    WeaponTags(23)=(Tag="_sg_",Loc="FoxGameContent_WPNS.FoxWeapon_Shotgun.FriendlyName",SortIndex=307,HiddenStats="")
    WeaponTags(24)=(Tag="_asg_",Loc="FoxGameContent_DLC1.FoxWeapon_AutoShotgun.FriendlyName",SortIndex=308,HiddenStats="")
    WeaponTags(25)=(Tag="_dg_",Loc="FoxGameContent_DLC1.FoxWeapon_DartGun.FriendlyName",SortIndex=309,HiddenStats="")
    WeaponTags(26)=(Tag="_frag_",Loc="FoxGameContent_WPNG.FoxWeapon_FragGrenade.FriendlyName",SortIndex=401,HiddenStats="")
    WeaponTags(27)=(Tag="_flg_",Loc="FoxGameContent_WPNG.FoxWeapon_FlashGrenade.FriendlyName",SortIndex=402,HiddenStats="")
    WeaponTags(28)=(Tag="_digi_",Loc="FoxGameContent_WPNG.FoxWeapon_SmokeGrenade.FriendlyName",SortIndex=403,HiddenStats="")
    WeaponTags(29)=(Tag="_eg_",Loc="FoxGameContent_WPNG.FoxWeapon_ElectroGrenade.FriendlyName",SortIndex=404,HiddenStats="")
    WeaponTags(30)=(Tag="_tox_",Loc="FoxGameContent_WPNG.FoxWeapon_ToxicGrenade.FriendlyName",SortIndex=405,HiddenStats="")
    WeaponTags(31)=(Tag="_he_",Loc="FoxGameContent_WPNG.FoxWeapon_HEFragGrenade.FriendlyName",SortIndex=406,HiddenStats="")
    WeaponTags(32)=(Tag="_pm_",Loc="FoxGameContent_WPNG.FoxWeapon_ProximityMine.FriendlyName",SortIndex=407,HiddenStats="")
    WeaponTags(33)=(Tag="_smine_",Loc="FoxGameContent_WPNG.FoxWeapon_StunMine.FriendlyName",SortIndex=408,HiddenStats="")
    WeaponTags(34)=(Tag="_pdec_",Loc="FoxGameContent_WPNG.FoxWeapon_HRVDecoy.FriendlyName",SortIndex=409,HiddenStats="")
    WeaponTags(35)=(Tag="_jamm_",Loc="FoxGameContent_WPNG.FoxWeapon_HRVJammer.FriendlyName",SortIndex=410,HiddenStats="")
    WeaponTags(36)=(Tag="_holo_",Loc="FoxGameContent_DLC5.FoxWeapon_Hologram.FriendlyName",SortIndex=411,HiddenStats="")
    WeaponTags(37)=(Tag="_com_",Loc="FoxGameContent_WPNG.FoxWeapon_CombatKnife.FriendlyName",SortIndex=501,HiddenStats="")
    WeaponTags(38)=(Tag="_son_",Loc="FoxGameContent_WPNG.FoxWeapon_SonicKnife.FriendlyName",SortIndex=502,HiddenStats="")
    WeaponTags(39)=(Tag="_mc_",Loc="Unlocks.Emblem.EMBLEM_MACHETE",SortIndex=503,HiddenStats="")
    WeaponTags(40)=(Tag="_ha_",Loc="Unlocks.Emblem.EMBLEM_HAMMER",SortIndex=504,HiddenStats="")
    WeaponTags(41)=(Tag="_tk_",Loc="FoxGameContent_DLC1.FoxWeapon_ThrowingKnives.FriendlyName",SortIndex=505,HiddenStats="")
    WeaponTags(42)=(Tag="_ts_",Loc="FoxGameContent_DLC5.FoxWeapon_ThrowingStars.FriendlyName",SortIndex=506,HiddenStats="")
    WeaponTags(43)=(Tag="_thk_",Loc="FoxGameContent_DLC4.FoxWeapon_ExplodingTomahawk.FriendlyName",SortIndex=507,HiddenStats="")
    WeaponTags(44)=(Tag="_cb_",Loc="Unlocks.Emblem.EMBLEM_CROWBAR",SortIndex=508,HiddenStats="")
    WeaponTags(45)=(Tag="_thk2_",Loc="FoxGameContent_DLC4.FoxWeapon_Tomahawk.FriendlyName",SortIndex=509,HiddenStats="")
    WeaponTags(46)=(Tag="_ha2_",Loc="FoxGameContent_DLC6.FoxWeapon_Hammer2.FriendlyName",SortIndex=510,HiddenStats="")
    WeaponTags(47)=(Tag="_ice_",Loc="FoxGameContent_WPNG.FoxWeapon_IceAxe.FriendlyName",SortIndex=511,HiddenStats="")
    WeaponTags(48)=(Tag="_syr_",Loc="FoxGameContent_WPNG.FoxWeapon_Syringe.FriendlyName",SortIndex=601,HiddenStats="")
    WeaponTags(49)=(Tag="_rep_",Loc="FoxGameContent_WPNG.FoxWeapon_RepairGun.FriendlyName",SortIndex=602,HiddenStats="")
    WeaponTags(50)=(Tag="_ammopk_",Loc="FoxGameContent_WPNG.FoxWeapon_AmmoPack.FriendlyName",SortIndex=603,HiddenStats="")
    WeaponTags(51)=(Tag="_heal_",Loc="FoxGameContent_WPNG.FoxWeapon_Healgun.FriendlyName",SortIndex=604,HiddenStats="")
    WeaponTags(52)=(Tag="_clo_",Loc="FoxGameContent_WPNG.FoxWeapon_Cloak.FriendlyName",SortIndex=605,HiddenStats="")
    WeaponTags(53)=(Tag="_bcd_",Loc="FoxGameContent_WPNG.FoxWeapon_Barricade.FriendlyName",SortIndex=606,HiddenStats="")
    WeaponTags(54)=(Tag="_beac_",Loc="FoxGameContent_DLC2.FoxWeapon_Beacon.FriendlyName",SortIndex=607,HiddenStats="")
    WeaponTags(55)=(Tag="_hjam_",Loc="FoxGameContent_DLC6.FoxWeapon_HRVJammerPack.FriendlyName",SortIndex=608,HiddenStats="")
    WeaponTags(56)=(Tag="_bcd2_",Loc="FoxGameContent_WPNG.FoxWeapon_Barricade2.FriendlyName",SortIndex=609,HiddenStats="")
    WeaponTags(57)=(Tag="_clo2_",Loc="FoxGameContent_WPNG.FoxWeapon_Cloak2.FriendlyName",SortIndex=610,HiddenStats="")
    WeaponTags(58)=(Tag="_fla_",Loc="FoxGameContent_WPNC.FoxWeapon_FlameThrower.FriendlyName",SortIndex=701,HiddenStats="")
    WeaponTags(59)=(Tag="_hst_",Loc="FoxGameContent_WPNC.FoxWeapon_HardSuitTargeter.FriendlyName",SortIndex=702,HiddenStats="")
    WeaponTags(60)=(Tag="_hsrg_",Loc="FoxGameContent_CHA.FoxWeapon_HardSuitCannon.FriendlyName",SortIndex=703,HiddenStats="")
    WeaponTags(61)=(Tag="_hsac_",Loc="FoxGameContent_CHA.FoxWeapon_HardSuitAutoCannon.FriendlyName",SortIndex=703,HiddenStats="")
    WeaponTags(62)=(Tag="_hsmg_",Loc="FoxGameContent_CHA.FoxWeapon_HardSuitHMG.FriendlyName",SortIndex=704,HiddenStats="")
    WeaponTags(63)=(Tag="_rlav_",Loc="FoxGameContent_WPNC.FoxWeapon_RocketLauncher_AV.FriendlyName",SortIndex=705,HiddenStats="")
    WeaponTags(64)=(Tag="_rl_",Loc="FoxGameContent_WPNC.FoxWeapon_RocketLauncher.FriendlyName",SortIndex=706,HiddenStats="")
    WeaponTags(65)=(Tag="_gl_",Loc="FoxGameContent_WPNC.FoxWeapon_GrenadeLauncher.FriendlyName",SortIndex=707,HiddenStats="")
    WeaponTags(66)=(Tag="_lmg2_",Loc="FoxGameContent_WPNC.FoxWeapon_MiniGun.FriendlyName",SortIndex=708,HiddenStats="")
    WeaponTags(67)=(Tag="_turr_",Loc="FoxGameContent_WPNC.FoxWeapon_DeployableTurretContent.FriendlyName",SortIndex=709,HiddenStats="")
    WeaponTags(68)=(Tag="_airs_",Loc="FoxGameContent_WPNC.FoxWeapon_AirStrike.FriendlyName",SortIndex=710,HiddenStats="")
    WeaponTags(69)=(Tag="_rg_",Loc="FoxGameContent_WPNC.FoxWeapon_RailGun.FriendlyName",SortIndex=711,HiddenStats="")
    WeaponTags(70)=(Tag="_hsdec_",Loc="FoxGameContent_DLC4.FoxWeapon_HSDecoy.FriendlyName",SortIndex=712,HiddenStats="")
    WeaponTags(71)=(Tag="_ka_",Loc="FoxGameContent_DLC4.FoxWeapon_Katana.FriendlyName",SortIndex=713,HiddenStats="")
    WeaponTags(72)=(Tag="_bot_",Loc="FoxGameContent_DLC5.FoxWeapon_BotTargeter.FriendlyName",SortIndex=714,HiddenStats="")
    GameTypeTags(0)=(Tag="gt_tdm_",Loc="FoxGame.FoxGameMP_TDM.GameTypeString",SortIndex=101,HiddenStats="")
    GameTypeTags(1)=(Tag="gt_kc_",Loc="FoxGame.FoxGameMP_KC.GameTypeString",SortIndex=102,HiddenStats="")
    GameTypeTags(2)=(Tag="gt_ctf_",Loc="FoxGame.FoxGameMP_CTF.GameTypeString",SortIndex=103,HiddenStats="")
    GameTypeTags(3)=(Tag="gt_nw_",Loc="FoxGame.FoxGameMP_EOTS.GameTypeString",SortIndex=104,HiddenStats="")
    GameTypeTags(4)=(Tag="gt_cp_",Loc="FoxGame.FoxGameMP_CP.GameTypeString",SortIndex=105,HiddenStats="")
    GameTypeTags(5)=(Tag="gt_tkoth_",Loc="FoxGame.FoxGameMP_TKOTH.GameTypeString",SortIndex=106,HiddenStats="")
    GameTypeTags(6)=(Tag="gt_snd_",Loc="FoxGame.FoxGameMP_SND.GameTypeString",SortIndex=107,HiddenStats="")
    GameTypeTags(7)=(Tag="gt_pl_",Loc="FoxGame.FoxGameMP_PL.GameTypeString",SortIndex=108,HiddenStats="")
    GameTypeTags(8)=(Tag="gt_dm_",Loc="FoxGame.FoxGameMP_DM.GameTypeString",SortIndex=109,HiddenStats="")
    GameTypeTags(9)=(Tag="gt_os_",Loc="FoxGame.FoxGameMP_OS.GameTypeString",SortIndex=110,HiddenStats="")
    GameTypeTags(10)=(Tag="gt_lms_",Loc="FoxGame.FoxGameMP_LMS.GameTypeString",SortIndex=110,HiddenStats="")
    GameTypeTags(11)=(Tag="gt_lts_",Loc="FoxGame.FoxGameMP_LTS.GameTypeString",SortIndex=110,HiddenStats="")
    ExperienceRanks(0)=(val=0.0,Loc="exp00")
    ExperienceRanks(1)=(val=3600.0,Loc="exp60")
    ExperienceRanks(2)=(val=7200.0,Loc="exp120")
    ExperienceRanks(3)=(val=14400.0,Loc="exp240")
    ExperienceRanks(4)=(val=28800.0,Loc="exp480")
    ExperienceRanks(5)=(val=57600.0,Loc="exp960")
    ExperienceRanks(6)=(val=115200.0,Loc="exp1920")
    ExperienceRanks(7)=(val=230400.0,Loc="exp3840")
    ExperienceRanks(8)=(val=460800.0,Loc="exp7680")
    SkillRanks(0)=(val=0.0,Loc="sk01")
    SkillRanks(1)=(val=0.50,Loc="sk05")
    SkillRanks(2)=(val=1.0,Loc="sk10")
    SkillRanks(3)=(val=1.50,Loc="sk15")
    SkillRanks(4)=(val=2.0,Loc="sk20")
    SkillRanks(5)=(val=2.50,Loc="sk25")
    SkillRanks(6)=(val=3.0,Loc="sk30")
    SkillRanks(7)=(val=5.0,Loc="sk50")
    SkillRanks(8)=(val=8.50,Loc="sk85")
    SkillRanks(9)=(val=10.0,Loc="sk100")
    GeneralRanks(0)=(val=0.0,Loc="gexp00")
    GeneralRanks(1)=(val=5.0,Loc="gexp60")
    GeneralRanks(2)=(val=10.0,Loc="gexp120")
    GeneralRanks(3)=(val=50.0,Loc="gexp240")
    GeneralRanks(4)=(val=100.0,Loc="gexp480")
    GeneralRanks(5)=(val=200.0,Loc="gexp960")
    GeneralRanks(6)=(val=300.0,Loc="gexp1920")
    GeneralRanks(7)=(val=450.0,Loc="gexp3840")
    GeneralRanks(8)=(val=500.0,Loc="gexp7680")
    GeneralSkillRanks(0)=(val=0.0,Loc="gsk01")
    GeneralSkillRanks(1)=(val=0.50,Loc="gsk05")
    GeneralSkillRanks(2)=(val=1.0,Loc="gsk10")
    GeneralSkillRanks(3)=(val=1.50,Loc="gsk15")
    GeneralSkillRanks(4)=(val=2.0,Loc="gsk20")
    GeneralSkillRanks(5)=(val=2.50,Loc="gsk25")
    GeneralSkillRanks(6)=(val=3.0,Loc="gsk30")
    GeneralSkillRanks(7)=(val=5.0,Loc="gsk50")
    GeneralSkillRanks(8)=(val=8.50,Loc="gsk85")
    GeneralSkillRanks(9)=(val=10.0,Loc="gsk100")
    StatGroups(0)=(GroupName="career",CatIdxStart=-99,CatIdxStop=99,bHeaderCompletion=false,bAddHeader=true,bWeaponGroup=false,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(1)=(GroupName="gametypes",CatIdxStart=100,CatIdxStop=199,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=false,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(2)=(GroupName="primaries",CatIdxStart=200,CatIdxStop=299,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=true,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(3)=(GroupName="secondaries",CatIdxStart=300,CatIdxStop=399,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=true,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(4)=(GroupName="gear",CatIdxStart=400,CatIdxStop=499,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=false,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(5)=(GroupName="melee",CatIdxStart=500,CatIdxStop=599,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=false,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(6)=(GroupName="tactical",CatIdxStart=600,CatIdxStop=699,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=false,bGeneralGroup=false,SortIndex=0,Categories=none)
    StatGroups(7)=(GroupName="depot",CatIdxStart=700,CatIdxStop=799,bHeaderCompletion=true,bAddHeader=true,bWeaponGroup=false,bGeneralGroup=false,SortIndex=0,Categories=none)
    ExperienceRankStatName="timeused"
    SkillRankStatName="skill"
    CurrentStatParsingIndex=-1
    MaxStatsToParsePerFrame=100
    CurrentStatSetupIndex=-1
}